/* =======================================================================================================================================
Bewerbung Modal
======================================================================================================================================= */
#top .__bewerbung--modal{
    display: none; 
    pointer-events: none; 
    width: 100vw; 
    height: 100vh;
    background-color: #fff; 
    position: fixed; 
    top: 50%; 
    left: 50%; 
    -webkit-transform: translate(-50%, -50%); 
    transform: translate(-50%, -50%); 
    z-index: 0; 
    color: #000000; 
    -webkit-box-shadow: 0 0 50px rgb(0 0 0 / 20%); 
    box-shadow: 0 0 50px rgb(0 0 0 / 20%);
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
}

#top .__bewerbung--modal > .__close--bewerbung--modal{
    cursor: pointer; 
    font-size: 44px; 
    display: inline-block; 
    line-height: 1; 
    position: absolute; 
    right: 8px; 
    top: 44px; 
    width: 44px; 
    height: 44px; 
    background-color: transparent; 
    color: #fff; 
    display: -webkit-box; 
    display: -ms-flexbox; 
    display: flex; -webkit-box-align: center; 
    -ms-flex-align: center; 
    align-items: center; 
    -webkit-box-pack: center; 
    -ms-flex-pack: center; 
    justify-content: center; 
    z-index: 10;
}
#top .__bewerbung--modal .__step--wrap{
    position: relative; 
    background-color: var(--primary-color); 
    color: #fff;
    padding: 20px;
    overflow: hidden; 
    width: 100%;
    min-height: 100px;
    -ms-flex-preferred-size: 0;
        flex-basis: 0;
}
#top .__bewerbung--modal .__step--wrap .__content{
    display: none;
    height: auto; 
    overflow: auto; 
    -ms-scroll-chaining: none; 
    overscroll-behavior: contain; 
    -webkit-box-orient: vertical; 
    -webkit-box-direction: normal; 
        -ms-flex-direction: column; 
            flex-direction: column;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
}
#top .__bewerbung--modal .__step--wrap .__content h2{font-size: 1rem;}

#top .__bewerbung--modal .__form--wrap{max-width: 1330px; padding: 15px 15px 50px 15px; margin: auto; overflow: hidden; width: 100%;}
#top .__bewerbung--modal .__form--wrap .__content{height: 100%; overflow: auto; -ms-scroll-chaining: none; overscroll-behavior: contain; display: -webkit-box; display: -ms-flexbox; display: flex; -webkit-box-orient: vertical; -webkit-box-direction: normal; -ms-flex-direction: column; flex-direction: column;}
#top .__bewerbung--modal .__form--wrap .__content h2{margin: 0 0 .5em 0 !important;}
#top .__bewerbung--modal .__form--wrap .__content input[type="file"]{width: 100%; max-width: 720px; display: block;}

html.__bmOpen{height: 100vh; overflow: hidden; position: fixed; top: 0; left: 0; right: 0; background: var(--primary-color);}
html.__bmOpen #top .__bewerbung--modal.__active{display: -webkit-box; display: -ms-flexbox; display: flex; z-index: 5000; pointer-events: auto;}

@media only screen and (min-width: 768px){
    html #wrap_all:after{content: ''; position: fixed; top: 0; bottom: 0; left: 0; right: 0; width: 100vw; height: 100vh; background: #000; z-index: 4000; pointer-events: none; visibility: hidden; opacity: 0; -webkit-transition: .3s ease; transition: .3s ease;}
    html.__bmOpen #wrap_all:after{visibility: visible; opacity: .75;}
    #top .__bewerbung--modal{width: 1490px; max-width: 95vw; max-height: 95vh; height: 950px;}
    #top .__bewerbung--modal > .__close--bewerbung--modal{top: 22px; right: 22px;}
    #top .__bewerbung--modal .__form--wrap{padding: 50px;}
    #top .__bewerbung--modal .__form--wrap .__content{}
    #top .__bewerbung--modal .__form--wrap .__content input{font-size: 1.1rem;}
    #top .__bewerbung--modal .__step--wrap{-ms-flex-preferred-size: auto;flex-basis: auto;}
    #top .__bewerbung--modal .__step--wrap .__content{display: -webkit-box;display: -ms-flexbox;display: flex; height: 100%;}
}

@media only screen and (min-width: 990px){
    #top .__bewerbung--modal{-webkit-box-orient: horizontal;-webkit-box-direction: normal;-ms-flex-direction: row;flex-direction: row;}
    #top .__bewerbung--modal > .__close--bewerbung--modal{color: var(--primary-color); font-size: 64px;}
    #top .__bewerbung--modal .__form--wrap{-ms-flex-preferred-size: 70%; flex-basis: 70%; max-width: 70%; padding: 100px 25px 50px 25px; height: 100%;}
    #top .__bewerbung--modal .__step--wrap{display: block; -ms-flex-preferred-size: 30%;flex-basis: 30%; max-width: 30%;}
    #top .__bewerbung--modal .__step--wrap .__content h2{font-size: 2rem;}
}


/* Steps */
#top .__bewerbung--modal .__step--wrap .__steps{
    margin-top: 1em;
    position: relative;
    padding-left: 1.5em;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
}
#top .__bewerbung--modal .__step--wrap .__steps:before{
    content: '';
    width: 2px;
    height: calc(100% - 1.5em);
    background-color: #fff;
    position: absolute;
    left: .5em;
    top: 50%;
    -webkit-transform: translateY(-50%);
            transform: translateY(-50%);
}
#top .__bewerbung--modal .__step--wrap .__steps > div{
    font-weight: 700;
    -webkit-transition: .3s ease;
    transition: .3s ease;
    padding: .2em 0;
    width: inherit;
    height: inherit;
    display: block;
    border-radius: inherit;
    background: inherit;
    opacity: inherit;
    margin: 0;
}
#top .__bewerbung--modal .__step--wrap .__steps > div span{position: relative; display: block; color: #7fb0d6;}
#top .__bewerbung--modal .__step--wrap .__steps > div span:before{
    content: '';
    width: 13px;
    height: 13px;
    border: 2px solid #fff;
    border-radius: 50%;
    position: absolute;
    left: -1.4em;
    top: 50%;
    -webkit-transform: translateY(-50%);
            transform: translateY(-50%);
    background-color: var(--primary-color);
}
#top .__bewerbung--modal .__step--wrap .__steps > div.swiper-pagination-bullet-active{-webkit-box-flex: 2;-ms-flex-positive: 2;flex-grow: 2;}
#top .__bewerbung--modal .__step--wrap .__steps > div.swiper-pagination-bullet-active span{color: #fff;}
#top .__bewerbung--modal .__step--wrap .__steps > div.swiper-pagination-bullet-active span:before{background-color: #fff;}

#top .__bewerbung--modal .__step--wrap .__steps > div:last-child{-webkit-box-pack: end;-ms-flex-pack: end;justify-content: flex-end; display: -webkit-box; display: -ms-flexbox; display: flex; -webkit-box-orient: vertical; -webkit-box-direction: normal; -ms-flex-direction: column; flex-direction: column;}

@media only screen and (min-width: 990px){
    #top .__bewerbung--modal .__step--wrap .__steps{min-height: 150px;}
}


/* Swiper Step Form */
#top .__bewerbung--modal .__form--wrap .__content form.wpcf7-form input,
#top .__bewerbung--modal .__form--wrap .__content form.wpcf7-form select{max-width: 80%; overflow: hidden;}
#top .__bewerbung--modal .__form--wrap .__content form.wpcf7-form .__grid{max-width: 720px;}
#top .__bewerbung--modal .__form--wrap .__content form.wpcf7-form .swiper-slide{overflow: hidden;}
#top .__bewerbung--modal .__form--wrap .__content > nav{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex; 
    -webkit-box-pack: end; 
    -ms-flex-pack: end; 
    justify-content: flex-end; 
    position: sticky;
    bottom: 0;
    margin-top: auto;
    background: #fff;
    z-index: 1;
    padding-top: 1em;
}
#top .__bewerbung--modal .__form--wrap .__content > nav > div{cursor: pointer;}
#top .__bewerbung--modal .__form--wrap .__content > nav > div.swiper-button-disabled{opacity: .5; cursor: not-allowed;}
#top .__bewerbung--modal .__form--wrap .__content > nav > div.swiperStepFormNext.swiper-button-disabled{display: none;}

#top .__bewerbung--modal .__form--wrap .__content form.wpcf7-form.sent input.wpcf7-submit{display: none;}
#top .__bewerbung--modal .__form--wrap .__content form.wpcf7-form.sent > nav{display: none;}

@media only screen and (min-width: 768px){
    #top .__bewerbung--modal .__form--wrap .__content form.wpcf7-form input,
    #top .__bewerbung--modal .__form--wrap .__content form.wpcf7-form select{max-width: 100%;}
}
